Subject: bug#45654: closed (Re: [PATCH 1/1] gnu: qemu-binfmt-service-type: Change 'guix-support?' default to #t.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Jan 2021 21:40:02 +0000

Your bug report

#45654: Building guile on x86_64 for aarch64 fails because of a missing guile

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45654: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45654
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/1] gnu: qemu-binfmt-service-type: Change 'guix-support?' default to #t.
From: Ludovic Courtès <[email-masked]>
To: Stefan <[email-masked]>
Cc: Leo Famulari <[email-masked]>, Efraim Flashner <[email-masked]>, [email-masked]
Date: Sat, 16 Jan 2021 22:39:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Stefan,

Stefan <[email-masked]> skribis:

> * gnu/services/virtualization.scm (qemu-binfmt-service-type)[guix-support?]:
> Change the default from #f to #t.
> * doc/guix.texi (Transparent Emulation with QEMU): Change the default of
> ‘guix-support?’ from #f to #t.  Describe the implication of setting it to #f.

I’ve shrinked and tweaked the doc and applied it.

Thanks!

Ludo’.

Subject: Building guile on x86_64 for aarch64 fails because of a missing guile
From: Stefan <[email-masked]>
To: [email-masked]
Date: Mon, 4 Jan 2021 16:32:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I setup my virtual x86_64 system with an qemu-binfmt-service-type for aarch64 and tried to build guix for aarch64. But this failed because of a missing guile:

stefan@guix ~$ guix build -s aarch64-linux [email-masked]
Folgende Ableitung wird erstellt:
   /gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv
/gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv wird erstellt …
while setting up the build environment: executing `/gnu/store/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2/bin/guile': No such file or directory
builder for `/gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv' failed with exit code 1
Erstellung von /gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv fehlgeschlagen
Das Erstellungsprotokoll kann unter „/var/log/guix/drvs/4w/dh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv.bz2“ eingesehen werden.
guix build: error: build of `/gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv' failed

I did a guix gc and then tried to build guile itself. But again it failed to build because it is missing guile itself.

stefan@guix ~$ guix build --check --no-grafts --system=aarch64-linux [email-masked]
24,0 MB werden heruntergeladen:
   /gnu/store/6yw1j6n9rklnfgxs2fsi81fis23lvkjw-bash-minimal-5.0.16
   …
Substituiere /gnu/store/z18hwxwgk551y4a0f6j1dxhmp208i4ha-bash-static-5.0.16 …
Lade von https://ci.guix.gnu.org/nar/lzip/z18hwxwgk551y4a0f6j1dxhmp208i4ha-bash-static-5.0.16 herunter …
 bash-static-5.0.16  502KiB                                                                                 3.3MiB/s 00:00 [##################] 100.0%
…
/gnu/store/qa15xk65hfx8vhwbnff62iy6g8q9d764-guile-3.0.2.drv wird erstellt …
while setting up the build environment: executing `/gnu/store/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2/bin/guile': No such file or directory
builder for `/gnu/store/qa15xk65hfx8vhwbnff62iy6g8q9d764-guile-3.0.2.drv' failed with exit code 1
Erstellung von /gnu/store/qa15xk65hfx8vhwbnff62iy6g8q9d764-guile-3.0.2.drv fehlgeschlagen
Das Erstellungsprotokoll kann unter „/var/log/guix/drvs/qa/15xk65hfx8vhwbnff62iy6g8q9d764-guile-3.0.2.drv.bz2“ eingesehen werden.
guix build: error: build of `/gnu/store/qa15xk65hfx8vhwbnff62iy6g8q9d764-guile-3.0.2.drv' failed

Then I thought to try to download the referred but missing guile:

stefan@guix ~$ guix download https://ci.guix.gnu.org/nar/lzip/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2
Starting download of /tmp/guix-file.q3Qwo3
From https://ci.guix.gnu.org/nar/lzip/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2...
 …62s2i8y7rl-guile-3.0.2  6.8MiB                                                                            5.6MiB/s 00:01 [##################] 100.0%
/gnu/store/5aq0m64wlh6mhi6g61z13asdnv8dmq3k-x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2
159d8i1yp0ksh7c9fib2ki7pljjhszk6l3bs9xibnx0kjh78rvli

Afterwards building guix for aarch64 was possible.

Bye

Stefan